%define short_name	djava
%define name		dynamicjava
%define Name		DynamicJava
%define version		1.1.5
%define release		2jpp
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Summary:        Java source interpreter
License:        BSD
Source0:        %{Name}-src.zip
Source1:        %{name}-djava-script
Source2:        %{name}-djgui-script
URL:            http://koala.ilog.fr/djava/
BuildRequires:  ant
BuildRequires:	jpackage-utils >= 0:1.5
Group:          Development/Java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Vendor:         JPackage Project
Distribution:   JPackage

%description
DynamicJava is a Java source interpreter. It executes programs written
in Java, like described in the Java Language Specification, in addition
with scripting features. DynamicJava was written in pure Java, is free
and distributed with the source code.

%package manual
Summary:        Manual for %{name}
Group:          Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c
%setup -T -D -n %{name}-%{version}/%{short_name}
install -m 644 %{SOURCE1} djava
install -m 644 %{SOURCE2} djgui
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant prepare-dist jars javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{Name}-%{version}/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# scripts
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 djava djgui $RPM_BUILD_ROOT%{_bindir}
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr %{Name}-%{version}/docs/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf %{Name}-%{version}/docs/javadoc

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/*
%{_javadir}/*

%files manual
%defattr(-,root,root,-)
%doc %{Name}-%{version}/docs/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon May 05 2003 David Walluck <david@anti-microsoft.org> 0:1.1.5-2jpp
- update for JPackage 1.5

* Tue Jul 16 2002 Ville Skytt <ville.skytta at iki.fi> 1.1.5-1jpp
- Update to 1.1.5.
- Use sed instead of bash 2 extension when symlinking jars during install.
- Add Distribution tag.

* Sun Jan 20 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.4-3jpp
- additional sources in individual archives
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- requires jpackage-utils
- launch script using function library
- section macro

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.4-2jpp
- javadoc into javadoc package

* Sat Oct 13 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.4-1jpp
- 1.1.4
- first unified release
- changed name to djava
- used original archive
- used versioned jar
- use ant-based build instead of make-based
- new shell scripts
- no more demo package
- s/jPackage/JPackage
- s/Copyright/License/
- truncated description to 72 columns in spec
- spec cleanup

* Sat Mar 10 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1.2-3mdk
- vendor tag
- packager tag

* Sun Dec 31 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1.2-2mdk
- merged with Henri Gomez <hgomez@slib.fr> specs:
-  changed name to xerces-j
-  changed javadir to /usr/share/java
-  dropped jdk & jre requirement
-  added Jikes support
- docs and demos in separate packages
- more macros

* Sun Dec 31 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1.2-1mdk
- first Mandrake release
